
set( larsim_VERSION 08.02.00.21 )
set( larsim_UPS_VERSION v08_02_00_21 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( nutools  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-s78/BUILDTYPE/debug/QUAL/s78-e17/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-debug/lib NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt  )
find_ups_product( marley  )
find_ups_product( ifdhc  )
find_ups_product( ppfx  )
find_ups_product( fftw  )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
set(LARSIM_TRIGGERALGO_TRIGGERALGOBASE_SERVICE "$ENV{LARSIM_LIB}/liblarsim_TriggerAlgo_TriggerAlgoBase_service.so")
set(LARSIM_SIMULATION "$ENV{LARSIM_LIB}/liblarsim_Simulation.so")
set(LARSIM_SIMULATION_LARVOXELCALCULATOR_SERVICE "$ENV{LARSIM_LIB}/liblarsim_Simulation_LArVoxelCalculator_service.so")
set(LARSIM_SIMULATION_LARG4PARAMETERS_SERVICE "$ENV{LARSIM_LIB}/liblarsim_Simulation_LArG4Parameters_service.so")
set(LARSIM_SIMFILTERS_FILTERCRYOSTATNUS_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterCryostatNus_module.so")
set(LARSIM_SIMFILTERS_FILTERGENINTIME_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterGenInTime_module.so")
set(LARSIM_SIMFILTERS_FILTERNODIRTNEUTRINOS_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterNoDirtNeutrinos_module.so")
set(LARSIM_SIMFILTERS_FILTERNOMCPARTICLES_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterNoMCParticles_module.so")
set(LARSIM_SIMFILTERS_FILTERPRIMARYPDG_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterPrimaryPDG_module.so")
set(LARSIM_SIMFILTERS_FILTERSIMPHOTONTIME_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterSimPhotonTime_module.so")
set(LARSIM_SIMFILTERS_FILTERSTOPPINGMUON_MODULE "$ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterStoppingMuon_module.so")
set(LARSIM_PHOTONPROPAGATION "$ENV{LARSIM_LIB}/liblarsim_PhotonPropagation.so")
set(LARSIM_PHOTONPROPAGATION_CREATEHYBRIDLIBRARY_MODULE "$ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_CreateHybridLibrary_module.so")
set(LARSIM_PHOTONPROPAGATION_PHOTONLIBRARYANALYZER_MODULE "$ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_PhotonLibraryAnalyzer_module.so")
set(LARSIM_PHOTONPROPAGATION_PHOTONLIBRARYPROPAGATION_MODULE "$ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_PhotonLibraryPropagation_module.so")
set(LARSIM_PHOTONPROPAGATION_PHOTONVISIBILITYSERVICE_SERVICE "$ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_PhotonVisibilityService_service.so")
set(LARSIM_IONIZATIONSCINTILLATION "$ENV{LARSIM_LIB}/liblarsim_IonizationScintillation.so")
set(LARSIM_IONIZATIONSCINTILLATION_ISCALCULATIONANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_IonizationScintillation_ISCalculationAna_module.so")
set(LARSIM_ELECTRONDRIFT_SHIFTEDEPSCE_MODULE "$ENV{LARSIM_LIB}/liblarsim_ElectronDrift_ShiftEdepSCE_module.so")
set(LARSIM_ELECTRONDRIFT_SIMDRIFTELECTRONS_MODULE "$ENV{LARSIM_LIB}/liblarsim_ElectronDrift_SimDriftElectrons_module.so")
set(LARSIM_MCSTRECO "$ENV{LARSIM_LIB}/liblarsim_MCSTReco.so")
set(LARSIM_MCSTRECO_MCRECO_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCSTReco_MCReco_module.so")
set(LARSIM_MCSTRECO_TOYONESHOWERGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCSTReco_ToyOneShowerGen_module.so")
set(LARSIM_MCCHEATER_PARTICLEINVENTORY "$ENV{LARSIM_LIB}/liblarsim_MCCheater_ParticleInventory.so")
set(LARSIM_MCCHEATER_PHOTONBACKTRACKER "$ENV{LARSIM_LIB}/liblarsim_MCCheater_PhotonBackTracker.so")
set(LARSIM_MCCHEATER_BACKTRACKER "$ENV{LARSIM_LIB}/liblarsim_MCCheater_BackTracker.so")
set(LARSIM_MCCHEATER_PARTICLEINVENTORYSERVICE_SERVICE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_ParticleInventoryService_service.so")
set(LARSIM_MCCHEATER_PHOTONBACKTRACKERSERVICE_SERVICE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_PhotonBackTrackerService_service.so")
set(LARSIM_MCCHEATER_BACKTRACKERSERVICE_SERVICE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_BackTrackerService_service.so")
set(LARSIM_MCCHEATER_CHECKBACKTRACKING_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_CheckBackTracking_module.so")
set(LARSIM_MCCHEATER_RECOCHECKANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_RecoCheckAna_module.so")
set(LARSIM_MCCHEATER_BACKTRACKERLOADER_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_BackTrackerLoader_module.so")
set(LARSIM_MCCHEATER_PHOTONBACKTRACKERLOADER_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCCheater_PhotonBackTrackerLoader_module.so")
set(LARSIM_LARG4 "$ENV{LARSIM_LIB}/liblarsim_LArG4.so")
set(LARSIM_LARG4_LARG4ANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_LArG4_LArG4Ana_module.so")
set(LARSIM_LARG4_LARG4_MODULE "$ENV{LARSIM_LIB}/liblarsim_LArG4_LArG4_module.so")
set(LARSIM_LARG4_LARSIMCHANNELANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_LArG4_LArSimChannelAna_module.so")
set(LARSIM_LARG4_MERGESIMSOURCES_MODULE "$ENV{LARSIM_LIB}/liblarsim_LArG4_MergeSimSources_module.so")
set(LARSIM_EVENTGENERATOR "$ENV{LARSIM_LIB}/liblarsim_EventGenerator.so")
set(LARSIM_EVENTGENERATOR_FILEMUONS_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_FileMuons_module.so")
set(LARSIM_EVENTGENERATOR_LIGHTSOURCE_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_LightSource_module.so")
set(LARSIM_EVENTGENERATOR_NDKGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_NDKGen_module.so")
set(LARSIM_EVENTGENERATOR_NUANCEGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_NUANCEGen_module.so")
set(LARSIM_EVENTGENERATOR_RADIOGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_RadioGen_module.so")
set(LARSIM_EVENTGENERATOR_SNNUEAR40CCGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_SNNueAr40CCGen_module.so")
set(LARSIM_EVENTGENERATOR_SINGLEGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_SingleGen_module.so")
set(LARSIM_EVENTGENERATOR_TEXTFILEGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_TextFileGen_module.so")
set(LARSIM_EVENTGENERATOR_CRY_COSMICSGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_CRY_CosmicsGen_module.so")
set(LARSIM_EVENTGENERATOR_GENIE_GENIEGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_GENIE_GENIEGen_module.so")
set(LARSIM_EVENTGENERATOR_GENIE_NEUTRONOSC_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_GENIE_NeutronOsc_module.so")
set(LARSIM_EVENTGENERATOR_GENIE_NUCLEONDECAY_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_GENIE_NucleonDecay_module.so")
set(LARSIM_EVENTGENERATOR_MARLEY "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_MARLEY.so")
set(LARSIM_EVENTGENERATOR_MARLEY_MARLEYGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_MARLEY_MARLEYGen_module.so")
set(LARSIM_EVENTGENERATOR_MARLEY_MARLEYTIMEGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_MARLEY_MARLEYTimeGen_module.so")
set(LARSIM_EVENTGENERATOR_MUONPROPAGATION_GAISSERPARAM_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_MuonPropagation_GaisserParam_module.so")
set(LARSIM_EVENTGENERATOR_MUONPROPAGATION_MUSUN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_MuonPropagation_MUSUN_module.so")
set(LARSIM_EVENTGENERATOR_CORSIKA_CORSIKAGEN_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventGenerator_CORSIKA_CORSIKAGen_module.so")
set(LARSIM_DETSIM_SIMWIREANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_DetSim_SimWireAna_module.so")
set(LARSIM_DETSIM_SIMWIRE_MODULE "$ENV{LARSIM_LIB}/liblarsim_DetSim_SimWire_module.so")
set(LARSIM_DETSIM_WIENERFILTERANA_MODULE "$ENV{LARSIM_LIB}/liblarsim_DetSim_WienerFilterAna_module.so")
set(LARSIM_DETSIM_RECOMPRESSRAWDIGITS_MODULE "$ENV{LARSIM_LIB}/liblarsim_DetSim_RecompressRawDigits_module.so")
set(LARSIM_MCDUMPERS_DUMPGTRUTH_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpGTruth_module.so")
set(LARSIM_MCDUMPERS_DUMPMCPARTICLES_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCParticles_module.so")
set(LARSIM_MCDUMPERS_DUMPMCSHOWERS_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCShowers_module.so")
set(LARSIM_MCDUMPERS_DUMPMCTRACKS_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCTracks_module.so")
set(LARSIM_MCDUMPERS_DUMPMCTRUTH_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCTruth_module.so")
set(LARSIM_MCDUMPERS_DUMPOPDETBACKTRACKERRECORDS_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpOpDetBacktrackerRecords_module.so")
set(LARSIM_MCDUMPERS_DUMPSIMCHANNELS_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpSimChannels_module.so")
set(LARSIM_MCDUMPERS_DUMPSIMPHOTONS_MODULE "$ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpSimPhotons_module.so")
set(LARSIM_EVENTWEIGHT_BASE "$ENV{LARSIM_LIB}/liblarsim_EventWeight_Base.so")
set(LARSIM_EVENTWEIGHT_BASE_DICT "$ENV{LARSIM_LIB}/liblarsim_EventWeight_Base_dict.so")
set(LARSIM_EVENTWEIGHT_CALCULATORS "$ENV{LARSIM_LIB}/liblarsim_EventWeight_Calculators.so")
set(LARSIM_EVENTWEIGHT_APP_EVENTWEIGHT_MODULE "$ENV{LARSIM_LIB}/liblarsim_EventWeight_App_EventWeight_module.so")
set(PPFXFLUXREADER_SOURCE "$ENV{LARSIM_LIB}/libPPFXFluxReader_source.so")
set(FLUXINTERFACE "$ENV{LARSIM_LIB}/libFluxInterface.so")
set(PPFXFLUXREADER "$ENV{LARSIM_LIB}/libPPFXFluxReader.so")
set(LARSIM_PPFXFLUXREADER_DICT "$ENV{LARSIM_LIB}/liblarsim_PPFXFluxReader_dict.so")
  include_directories ( "$ENV{LARSIM_INC}" )

check_required_components(larsim)

